import pandas as pd
from setify import utils
from colorama import Fore

def _get_server():
    return 'https://octabox-5c737.uc.r.appspot.com'


def data(dataset):
    fpath = utils.load_data(
        _get_server() + '/' + dataset, dataset + '.h5')
    # Check if the file path is None (which means download failed)
    if fpath is None:
        print(Fore.RED + "Download failed. The file does not exist.")
        return pd.DataFrame()  # or handle this case as needed

    try:
        # If the file exists and is valid, this should work
        return pd.read_hdf(fpath)
    except Exception as e:
        # Handle cases where the file exists but is not a valid HDF file
        print(Fore.RED + f"Failed to read the HDF file. Error: {e}")
        return pd.DataFrame()
